---
title: NDEFReader.onreading
slug: Web/API/NDEFReader/onreading
tags:
  - NDEF
  - Reference
  - Web NFC
---
<p>{{Draft}}{{securecontext_header}}{{SeeCompatTable}}{{APIRef()}}</p>

<p class="summary"><span class="seoSummary">The <code>onreading</code> property of {{DOMxRef("NDEFReader")}} interface of the <a href="/en-US/docs/Web/API/WebNFC_API">Web NFC API</a> is called whenever a new reading is available from compatible NFC devices, e.g. NFC tags supporting NDEF, when these devices are within the reader's magnetic induction field.</span></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td><a href="https://w3c.github.io/web-nfc/#dom-ndefreader">Web NFC, NDEFReader.onreadig</a></td>
   <td>Draft</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NDEFReader.onreading")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{DOMxRef("NDEFReading.onerror")}}, property representing handler for <code>error</code> events.</li>
</ul>
